Subject: 23.1.92; Flyspell makes neighboring Chinese text turn red too

From: [email-masked]
Date: Sun, 14 Feb 2010 02:07:53 +0800

Flyspell mode has a bug where all the UTF-8 characters connected to the
misspelled word also turn red. E.g.,

1. 晚上到Janet家打擾一晚
2. 晚上預計討論今年wronglyspelledword團體的工作--想豐富蝶園網站的內容

Line 1 is fine. Line 2 however has everything up until the two dashes
turn red. It should have only the wronglyspelledword turn red, and not
"set fire to innocent bystanders".

Seen at least with my http://jidanni.org/comp/configuration/.emacs
(without which one can't seem to even start Flyspell these days, as I
reported moments ago.)